FapiAuthorizeFilterChain
A filter chain to validate authorize requests and make sure they comply with the following FAPI specifications:
Put this filter before other filters to reject requests that would result in creating an OAuth 2.0 client that doesn’t comply with the FAPI specifications.
Usage
{
"name": string,
"type": "FapiAuthorizeFilterChain",
"config": {
"forwardedHost": string,
"apiClientService": ApiClientService reference,
"auditService": AuditService reference,
"extraAllowedParameters": string
}
}
Properties
"forwardedHost": string, required-
The forwarded host added to the endpoint request.
"apiClientService": ApiClientService reference, required-
The
ApiClientServiceto retrieve the API client, such as an IdmApiClientService. "auditService": AuditService reference, optional-
The AuditService to record audit events. Provide either the name of an AuditService object defined in the heap or an inline AuditService configuration object.
Default: No audit service.
"extraAllowedParameters": string, optional-
A comma-separated string of additional request parameters to keep on the forwarded request, supplementing the parameters permitted by the FAPI specifications.
This is intended for AS-specific continuation and callback parameters, such as consent flows that submit their result back to the same endpoint.
Default: not set
Example
This example sets an additional request parameter, consent_response,
that contains the consent JSON Web Token (JWT) returned from the remote consent service (RCS):
{
"name": "fapiAuthorizeFilterChain",
"type": "FapiAuthorizeFilterChain",
"config": {
"forwardedHost" : "&{as.fqdn}",
"apiClientService" : "apiClientService",
"extraAllowedParameters" : [ "consent_response" ]
}
}